Subject: [bmwg] Alvaro Retana's Abstain on draft-ietf-bmwg-vswitch-opnfv-03: (with COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Wed, 07 Jun 2017 06:50:43 -0700

Alvaro Retana has entered the following ballot position for
draft-ietf-bmwg-vswitch-opnfv-03: Abstain

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bmwg-vswitch-opnfv/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I don't see the value of publishing this document as an RFC, specially because
it reflects the progress of the VSPERF project "through the Brahmaputra
(second) release" -- which would make this document obsolete instantly since
the project is already working on their Danube (fourth) release.  I appreciate
the fact that the WG has found the discussions around this document useful and
that the methodologies created are being referenced elsewhere.

Because the WG/Chairs/Responsible AD find value in publication I am not going
to stand in the way; I am then ABSTAINing.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 7 Jun 2017 14:37:21 +0000

Hi Alvaro,
thanks for your review, please see reply below.
Al (for the co-authors)

> -----Original Message-----
> From: Alvaro Retana [mailto:[email-masked]]
> Sent: Wednesday, June 07, 2017 9:51 AM
> To: The IESG
> Cc: [email-masked]; Sarah Banks; bmwg-
> [email-masked]; [email-masked]
> Subject: Alvaro Retana's Abstain on draft-ietf-bmwg-vswitch-opnfv-03:
...
> I don't see the value of publishing this document as an RFC, specially
> because it reflects the progress of the VSPERF project "through the Brahmaputra
> the project is already working on their Danube (fourth) release.  
[ACM] 
The VSPERF development efforts during the Colorado and Danube
releases are almost entirely focused on the features for 
the VSPERF testing tool. Maybe one or two test specifications have 
been added to the LTD, but the vast majority are the same in
Danube 3.0, so the tests described this document are still 
completely relevant. 

Instead of developing more test specifications, the control of 
three more/new traffic generators has been incorporated in the 
VSPERF tool. Also, the fd.io VPP has been added as a testing
possibility in Danube, in addition to the latest versions of OVS.
But none of these developments affect what the WG agreed in 
the draft.

The WG agreed to "freeze" the updates at Brahmaputra for practical
purposes. The authors would agree to add the few new tests in 
section 5 that would update this draft to Danube 3.0, and 
increase its relevance, if that seems reasonable and valuable
to all.

> I appreciate